.\" $NetBSD: upl.4,v 1.6 2002/02/07 03:15:09 ross Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 10, 2000
.Dt UPL 4
.Os
.Sh NAME
.Nm upl
.Nd USB support for Prolific based host-to-host adapters
.Sh SYNOPSIS
.Cd "upl* at uhub?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Prolific PL2301/PL2302 based host-to-host
USB connectors.
.Pp
The
.Nm
driver appears as a point-to-point network interface and
should be configured with
.Xr ifconfig 8
in the same way as other point-to-point interfaces.
The
.Nm
device supports IPv4 only.
.Sh HARDWARE
The
.Nm
driver supports the following adapters from the following vendors:
.Bl -tag -width Dv -offset indent -compact
.It Tn Aserton
.It Tn Bencent
.It Tn Butterfly
.It Tn Camtel
.It Tn Inland
.It Tn Longshine
.It Tn PC Linq
.It Tn Prolific
.It Tn StarMount
.It Tn Univex
.It Tn VVMer
.El
.Pp
Belkin, Entrega, and Xircom do
.Em NOT
use this chip and are not supported by this driver.
.Sh SEE ALSO
.Xr netintro 4 ,
.Xr usb 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.5 .
